@import url("./reset.css");

:root,
:root[data-theme='light'] {
    --primary-bg-color: #F0EFEE;
    --secondary-bg-color: #FBFBFB;

    --primary-border-color: #e9e9e9;
    --skills-color: #2929297e;
    --color-white: #fff;
    --color-black: #333;
    --color-grey: #c2bfbf;

    --cor-gradient1: #000;
    --cor-gradient2: #1A1A1A;
    --cor-gradient3: #464545;
    --cor-gradient4: #8b8989;
}

:root[data-theme='dark'] {
    --primary-bg-color: #161616;
    --secondary-bg-color: #1A1A1A;

    --primary-border-color: #333333;
    --skills-color: #5c5c5c83;
    --color-white: #333;
    --color-black: #fff;
    --color-grey: #c2bfbf;

    --cor-gradient1: #FFF;
    --cor-gradient2: #e0dddd;
    --cor-gradient3: #999999;
    --cor-gradient4: #8b8989;
}

html {
    color: var(--color-black);
}

body {
    background-color: var(--color-black);
    max-width: 2000px;
    margin: auto;
}

a {
    color: var(--color-black);
}

header,
.skills {
    position: relative;
    border-radius: 0 0 100px 100px;
    border-bottom: 1px solid var(--primary-border-color);
}

header {
    width: 100%;
    height: auto;
    background-color: var(--primary-bg-color);
    z-index: 4;
    overflow: hidden;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.header__top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;

    width: 100%;
    padding: 2.5rem;
}

.top__left {
    display: flex;
    flex-direction: row;
    gap: .6rem;
}

.left__mail,
.left__cv,
.left__theme {
    border: 1px solid var(--primary-border-color);
    border-radius: 3rem;
    padding: .2rem;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: .6rem;
}

.left__mail {
    position: relative;
}

.mail__text {
    font-size: .7rem;
    margin-left: 1rem;
    font-family: "Roboto Condensed", sans-serif;
}

.mail__icon {
    padding: .5rem .7rem;
    background-color: var(--color-white);
    border-radius: 100%;
    cursor: pointer;
}

.mail__icon:before {
    content: "Copiado!";
    position: absolute;
    top: -21px;
    left: 70%;
    background-color: var(--color-black);
    color: var(--color-white);
    padding: 5px;
    border-radius: 20px;
    font-size: .6rem;
    display: none;
}

.mail__icon:after {
    content: "";
    position: absolute;
    top: -6px;
    right: 20px;
    width: 10px;
    height: 10px;
    transform: rotate(45deg);
    background-color: var(--color-black);
    display: none;
}

.mail__icon:active {
    background-color: var(--color-grey);
    color: var(--color-white);
}

.mail__icon.active:before,
.mail__icon.active:after {
    display: block;
}

.cv__text {
    padding: .7rem 2rem;
    background-color: var(--color-white);
    color: var(--color-black);
    border-radius: 2rem;
    cursor: pointer;

    font-size: .7rem;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Roboto Condensed", sans-serif;
}

.cv__text:hover {
    text-decoration: underline;
}

.nav--principal {
    display: flex;
    justify-content: flex-end;
    width: 50%;
}

.principal__menu {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

.menu__text {
    color: var(--color-black);
    font-size: .9rem;
    font-family: "Roboto Condensed", sans-serif;
}

.menu__item:hover {
    text-decoration: underline;
}

.nav--mobile {
    display: none;
}

.header__bottom {
    margin: 50px 0;
}

.bottom__img {
    position: relative;
    width: 100%;
    height: 30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.avatar {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    border: 4px solid var(--color-white);
    background-color: var(--color-grey);
}

.img__name {
    position: absolute;
    top: 35%;
    left: 77%;
    transform: translateX(-50%) rotate(-10deg);

    width: 9rem;
    border-radius: 3rem;
    padding: .7rem 1rem;

    background-color: var(--color-white);
    font-size: .9rem;
    font-family: "Roboto Condensed", sans-serif;
    text-align: center;

    animation: float 3s ease-in-out infinite;
}

.bottom__title {
    max-width: 500px;
}

.contact__icons {
    position: absolute;
    bottom: 45px;
    left: 65%;
    padding: .5rem 2rem;
    border-radius: 2rem;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.contact__icons a i {
    font-size: 1.2rem;
    color: var(--color-black);
}

.tittle__text {
    margin-top: 2rem;
    font-size: 3rem;
    font-weight: 600;
    text-align: center;
}

.gradient {
    background-image: linear-gradient(to left,
            var(--cor-gradient4) 10%,
            var(--cor-gradient3) 40%,
            var(--cor-gradient2) 70%,
            var(--cor-gradient1));
    color: var(--cor-preto);
    background-clip: text;
    -webkit-background-clip: text;

    /* Adicionado: */
    -webkit-text-fill-color: transparent;
}

.skills {
    background-color: var(--secondary-bg-color);
    height: auto;
    margin-top: -100px;
    padding: 200px 20px 100px 20px;
    z-index: 3;
}

.skills h2 {
    position: absolute;
    bottom: -25px;
    left: 50%;
    transform: translateX(-50%) rotate(-5deg);

    background-color: var(--color-white);
    padding: 1rem 2rem;
    border-radius: 3rem;
    box-shadow: 1px 1px 5px var(--color-grey);
}

.carousel {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    align-items: center;
    padding: 0 2rem;
}

.carousel__item {
    position: relative;
    background-color: var(--skills-color);
    border: 3px solid var(--primary-border-color);
    border-radius: 100%;
    padding: 1rem 1.1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: .5rem;
}

.carousel__img {
    height: 40px;
}

.carousel__text {
    position: absolute;
    bottom: -35%;
    left: 50%;
    transform: translateX(-50%);
    width: 100px;
    height: 2.1rem;
    padding: .5rem 2rem;
    
    background-color: var(--cor-gradient3);
    color: var(--color-white);
    border: 3px solid var(--color-white);
    border-radius: 3rem;
    font-size: .6rem;
    font-weight: 700;
    letter-spacing: .1rem;

    display: flex;
    justify-content: center;
    align-items: center;
}

.carousel__text:hover,
.carousel__text:active {
    font-size: .7rem;
}

.projects {
    position: relative;
    background-color: var(--primary-bg-color);
    height: fit-content;
    margin-top: -100px;
    padding: 170px 0 170px 0;
    z-index: 2;
}

.projects__list {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    gap: .5rem;
}

.list__item {
    max-width: 320px;
    background-color: var(--secondary-bg-color);
    padding: 1.2rem;
}

.item__details {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
}

.item__img {
    width: 100%;
    border-radius: 1rem;
}

.item__tittle {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.item__tittle span {
    font-weight: 300;
    font-size: .7rem;
    letter-spacing: .1rem;
}

.item__tittle h3 {
    font-size: 1.2rem;
    text-transform: capitalize;
}

.item__subtitle {
    font-size: .9rem;
    text-align: justify;
    height: 80px;
    padding: 1rem 0 0 0;
}

.item__functionality {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    height: 100px;
    overflow: hidden;
}

.navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
}

.arrow {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.5rem;
    color: var(--color-black);
}

.functionality {
    display: none;
}

.functionality.active {
    display: block;
}

.functionality p {
    text-align: justify;
    font-size: .8rem;
}


.item__technologies {
    width: 100%;
    display: flex;
    justify-content: space-around;
    gap: 1.5rem;
    background-color: var(--cor-gradient4);
    padding: 1rem;
    border-radius: 1rem;
    border: 1px dashed var(--primary-border-color);
}

.technologies__icon {
    font-size: 2rem;
    color: var(--color-white);
}

.technologies__icon:hover {
    color: var(--color-black);
}

.item__links {
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
}

.item__links a {
    color: var(--color-white);
    font-weight: 700;
}

.link__preview,
.link__repository {
    background-color: var(--color-black);
    border: 1px dashed var(--primary-border-color);
    border-radius: .5rem;
    padding: .5rem 1.5rem;
    text-transform: uppercase;
    font-size: .7rem;
    letter-spacing: .06rem;
}

.about-me {
    position: relative;
    height: auto;
    margin-top: -100px;
    padding: 100px 30px 0 30px;
    z-index: 3;

    border-radius: 100px 100px 0 0;
    border-top: 1px solid var(--primary-border-color);
    background-color: var(--secondary-bg-color);

    display: flex;
    flex-direction: column;
    align-items: center;
}

.about-me h2 {
    position: absolute;
    top: -25px;
    left: 50%;
    transform: translateX(-50%) rotate(-5deg);

    background-color: var(--color-white);
    padding: 1rem 2rem;
    border-radius: 3rem;
    box-shadow: 1px 1px 5px var(--color-grey);
}

.about-me__container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3rem;
    margin-bottom: 50px;
}

.about-me__avatar {
    width: 30%;
    min-width: 300px;
}

.about-me__avatar img {
    width: 100%;
    background-color: var(--skills-color);
    border-radius: 100%;
    border: 10px solid var(--primary-border-color);
}

.about-me__info {
    width: 30%;
    display: flex;
    flex-direction: column;
    gap: 1.7rem;
}

.about-me__info h3,
.about-me__xp h3 {
    font-weight: 100;
    font-size: 1.5rem;
    text-transform: uppercase;
    font-size: 1.5rem;
    padding: 0 0 .5rem 0;
    letter-spacing: .1rem;
}

.about-me__info h4,
.about-me__xp h4 {
    font-weight: 700;
}

.about-me__xp {
    width: 40%;
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.about-me__xp ul {
    margin-top: .5rem;
}

.about-me__xp ul li {
    list-style: disc;
    margin-left: 1rem;
}

.link_top {
    position: absolute;
    bottom: 10%;
    right: 2%;
}

.link_top i {
    font-size: 2rem;
    color: var(--color-black);
}

footer {
    width: 90%;
    height: auto;
    padding: .3rem 0;
    text-align: center;
    border-top: 1px solid var(--primary-border-color);
}

.footer__text {
    margin: .5rem 0;
}

.footer__text span {
    font-weight: 700;
}

@media (max-width: 800px) {
    .about-me__container {
        display: flex;
        flex-direction: column;
    }

    .about-me__avatar,
    .about-me__info,
    .about-me__xp {
        width: 80%;
        display: flex;
        justify-content: center;
    }

    .about-me__avatar img {
        max-width: 300px;
    }

}

@media (max-width: 480px) {

    .header__top {
        width: 100%;
        padding: 1rem;
        margin: 0;
    }

    header,
    .skills {
        border-radius: 0 0 50px 50px;
    }

    .bottom__title {
        padding: 0 2rem;
    }

    .tittle__text {
        font-size: 2rem;
        margin-top: 4rem;
    }

    .img__name {
        position: absolute;
        top: -10px;
        left: 50%;
        transform: translateX(-50%) rotate(-10deg);

        width: 9rem;
        border-radius: 3rem;
        padding: .7rem 1rem;

        background-color: var(--color-white);
        font-size: .9rem;
        font-family: "Roboto Condensed", sans-serif;
        text-align: center;

        animation: float 3s ease-in-out infinite;
    }

    .nav--principal {
        display: none;
    }

    .nav--mobile {
        width: 100vw;
        position: fixed;
        bottom: 0;
        left: 0;
        display: flex;
        border-top: 1px solid var(--primary-border-color);
        background-color: var(--cor-gradient4);
    }

    .mobile__menu {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .menu__item {
        width: 100%;
    }

    .menu__link {
        display: flex;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        gap: .5rem;
        padding: 0.5rem 1rem;
    }

    .menu__link.active .menu__icon,
    .menu__link.active .menu__text {
        color: var(--color-white);
    }

    .menu__icon,
    .menu__text {
        color: var(--text-color);
    }

    .menu__icon {
        font-size: 1.5rem;
    }

    .menu__text {
        font-size: .75rem;
        text-transform: uppercase;
    }

    .contact__icons {
        bottom: -50px;
        left: 50%;
        transform: translateX(-50%);
    }
    
    .contact__icons a i {
        font-size: 2rem;
        color: var(--color-black);
    }

    .skills {
        margin-top: -50px;
        padding: 100px 20px 100px 20px;
        z-index: 3;
    }

    .carousel {
        padding: 0;
        gap: 40px;
    }
    
    .carousel__img {
        height: 30px;
    }

    .about-me {
        margin-top: -50px;
        padding: 70px 30px 0 30px;
        border-radius: 50px 50px 0 0;
    }

    footer {
        margin-bottom: 100px;
    }
}

/* ANIMAÇÕES */
@keyframes float {
    0% {
        transform: translateX(-50%) translateY(0) rotate(-10deg);
    }

    50% {
        transform: translateX(-50%) translateY(0) rotate(-5deg);
    }

    100% {
        transform: translateX(-50%) translateY(0) rotate(-10deg);
    }
}